------------------------------------------------------------------------------------
--Name：          191230[简体征服][活动脚本]全球情人节活动
--Creator:      杨艳
--Created:     2020/01/06
--------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>8


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(118, 189)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
-- local hero = CppScriptMgr:QueryHero()
-- hero:SetLook(hero:GetLook(), false, true) 
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "新手勇士", 4003000001)

CppScriptMgr:AddEffect("fastflash",118,189);
CppScriptMgr:WaitMilSec(1000)

local player  = CppScriptMgr:AddSimplePlayer(1051297, 117,189, "Valentine", 4003000031,1)
local player1 = CppScriptMgr:AddSimplePlayer(1051301, 119,188, "Silvia", 4003000032,1)

-- 黑屏, CppScriptMgr:SetDarkScreen(毫秒)
CppScriptMgr:SetDarkScreen(2000)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:AddEffect("scene_bedbladder",118,189);

CppScriptMgr:NpcCallOut("It`s said that a harpist living near the sea can play music that makes listener happy. So Valentine brought Silvia here in hope that she could cheer up.\n\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc182", 150, 430, "Dragon Spirit", 250, 655)
CppScriptMgr:WaitMilSec(3000)

player:Say("This is the Love Sea on the book.", 2000)
CppScriptMgr:WaitMilSec(2000)

player1:Say("I`m the luckiest person in the world to have.", 2000)
-- CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:AddEffect("scene_bedbladder",118,189);
CppScriptMgr:AddEffect("NEW-flower-g-1",87,153);
CppScriptMgr:WaitMilSec(3000)

CppScriptMgr:AddEffect("scene_bedbladder",118,189);
player:Say("No, Silvia, it`s you who brings light to my world.", 2000)
player:AddEffect("gam_buss_ap")
CppScriptMgr:WaitMilSec(2000)

player1:Say("You`re innocent. I`ll tell my father.", 2000)
-- player1:AddEffect("veil")
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:SetDarkScreen(2000)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:AddEffect("scene_bedbladder",118,189);

CppScriptMgr:NpcCallOut("Silvia recalled that Valentine confessed his love to her just right here. Also, she recalled that Valentine was sentenced to death.\n\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc182", 150, 430, "Dragon Spirit", 250, 655)
CppScriptMgr:WaitMilSec(3000)

player1:SetAction(170)
player1:Say("Oh, I remember now. You were sentenced to death, and I failed to save you.", 2000)
CppScriptMgr:WaitMilSec(2000)
player1:SetAction(170)
CppScriptMgr:AddEffect("scene_bedbladder",118,189);
CppScriptMgr:WaitMilSec(2000)


CppScriptMgr:AddEffect("FF17",118,188);
CppScriptMgr:AddEffect("FF17",119,182);
CppScriptMgr:AddEffect("FF17",113,196);
CppScriptMgr:WaitMilSec(6000)




-- ------------------------------------------------------------------------------------
-- --Name:			190910[简体征服][任务脚本]职业副本剧情脚本
-- --Creator:		兰瑞妹
-- --Created:		2019/09/12
-- ------------------------------------------------------------------------------------
-- -- /callluafunc </F>User_PlayPlot</N>11

-- -- 武僧
-- -- 表现内容：
-- -- 武僧boss穿着武僧神装，扛着史诗武器金刚伏魔杵，身上散发着佛光，向你作揖，
-- -- 口中念着“阿弥陀佛”。无数经文光效在空中飞舞，突然，武僧使用金刚伏魔杵向大地狠狠砸去。顿时地动山摇。
-- -- 光效需求：武僧身上的祥光、
 -- -- 经文在空中飞舞

-- -- 设置摄像机指向位置(网格坐标)
-- CppScriptMgr:SetViewPosByCell(363, 445)
-- ------------------------------------------------------------
-- --玩家对象操作接口,Hero、Player、Npc接口都一样
-- -- 查询/创建，玩家自己
-- -- 参数：无
-- local hero = CppScriptMgr:QueryHero()
-- hero:SetPos(363, 445)
-- -- 设置玩家方向，[0, 7]-八方向
-- hero:SetDir(4)

-- -- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
-- local player  = CppScriptMgr:AddSimplePlayer(1051350, 371, 445, "【圣僧】一灯大师", 4003000020,1)--51350
-- -- 设置人物显示大小百分比
-- player:SetZoomPercent(150)
-- player:SetRWeapon(481439, 0, 1)
-- player:SetLook(50490)
-- CppScriptMgr:WaitMilSec(1000)

-- -- 人物动作调用接口 作揖
-- player:SetAction(150)
-- CppScriptMgr:WaitMilSec(2000)

-- -- 半身像对话框
-- player:Say("阿弥陀佛", 3000)
-- CppScriptMgr:WaitMilSec(1000)

-- -- 金刚伏魔杵向大地狠狠砸去
-- player:SetAction(401)
-- CppScriptMgr:WaitMilSec(4000)

-- -- 地动山摇
-- -- 创建普通光效接口：参数：光效名，坐标X，坐标Y
-- -- local effectObj = CppScriptMgr:AddEffect("ssch_wlhd_hit", 211, 234);
-- -- CppScriptMgr:WaitMilSec(2000)

